Skip to main content

GetLibraryList

Retrieve the document library list. The list includes document names, descriptions, and unique identifiers.

Operation description

Prerequisites
  • You must activate Alibaba Cloud Model Studio and Tongyi Dianjin services.
  • Obtain the workspaceId. For more information, see workspace identity.

Try it now

Try this API in OpenAPI Explorer, no manual signing needed. Successful calls auto-generate SDK code matching your parameters. Download it with built-in credential security for local usage.

RAM authorization

The table below describes the authorization required to call this API. You can define it in a Resource Access Management (RAM) policy. The table's columns are detailed below:
  • Action: The actions can be used in the Action element of RAM permission policy statements to grant permissions to perform the operation.
  • API: The API that you can call to perform the action.
  • Access level: The predefined level of access granted for each API. Valid values: create, list, get, update, and delete.
  • Resource type: The type of the resource that supports authorization to perform the action. It indicates if the action supports resource-level permission. The specified resource must be compatible with the action. Otherwise, the policy will be ineffective.
    • For APIs with resource-level permissions, required resource types are marked with an asterisk (*). Specify the corresponding Alibaba Cloud Resource Name (ARN) in the Resource element of the policy.
    • For APIs without resource-level permissions, it is shown as All Resources. Use an asterisk (*) in the Resource element of the policy.
  • Condition key: The condition keys defined by the service. The key allows for granular control, applying to either actions alone or actions associated with specific resources. In addition to service-specific condition keys, Alibaba Cloud provides a set of common condition keys applicable across all RAM-supported services.
  • Dependent action: The dependent actions required to run the action. To complete the action, the RAM user or the RAM role must have the permissions to perform all dependent actions.

Action

Access level

Resource type

Condition key

Dependent action

dianjin:GetLibraryList

get

*All Resource

*

NoneNone

Request syntax

GET /{workspaceId}/api/library/list HTTP/1.1

Path Parameters

Parameter

Type

Required

Description

Example

workspaceId

string

Yes

Path parameter, the workspace ID.

llm-xxxxx

Request parameters

Parameter

Type

Required

Description

Example

page

integer

No

Page number

1

pageSize

integer

No

Number of records per page

10

query

string

No

Search keywords. Supports document library names and descriptions.

Test document library

Response elements

Element

Type

Description

Example

object

ResultCode<PageVO

>

cost

integer

Time consumed

null

data

object

Returned data

currentPage

integer

Page number

1

pageSize

integer

Number of records per page

10

records

array<object>

Record list

array<object>

Record

description

string

Document library description

Document library

documentCount

integer

Document count

10

gmtCreate

string

Creation time

2024-01-01 00:00:00

gmtModified

string

Modification time

2024-01-01 00:00:00

id

string

Document library ID

24vs4aa42jv1rg7

indexSetting

object

Document library index settings

chunkStrategy

object

Chunking strategy

docTreeSplit

boolean

Layout chunking

true

docTreeSplitSize

integer

Layout chunking size

160

enhanceGraph

boolean

Enhance images

true

enhanceTable

boolean

Enhance tables

true

overlap

integer

Chunk overlap length

40

sentenceSplit

boolean

Split by sentence

true

sentenceSplitSize

integer

Split by sentence size

160

size

integer

Chunk size

256

split

boolean

Chunking enabled

true

modelConfig

object

Model Configuration

temperature

number

Temperature

0.8

topP

number

topP

0.8

promptRoleStyle

string

Prompt role style

You are an information processing expert.

queryEnhancer

object

Query enhancement

enableFollowUp

boolean

Multi-turn enhancement

true

enableMultiQuery

boolean

Use Large Language Model (LLM) knowledge to decompose questions

true

enableOpenQa

boolean

Use Large Language Model (LLM) knowledge to answer questions

true

enableQueryRewrite

boolean

Rewrite questions based on domain knowledge

true

enableSession

boolean

Record session

true

localKnowledgeId

string

Document library ID used for knowledge rewriting

sdbcjsbc

withDocumentReference

boolean

Include document reference

true

recallStrategy

object

Recall strategy

documentRankType

string

Merge and sort policy

model

limit

integer

Number of results from two-way merge summary

10

textIndexSetting

object

Text index settings

category

string

Text index type

ElasticSearch

enable

boolean

Text index enabled

true

indexAnalyzer

string

Index analyzer for text index: (Standard, IkMaxWord, IkSmart)

Standard

rankThreshold

number

Text index sort threshold

null

searchAnalyzer

string

Search analyzer for text index: (Standard, IkMaxWord, IkSmart)

Standard

topK

integer

Number of final summary results for text index

10

vectorIndexSetting

object

Vector index settings

category

string

Vector index source. Recommended: ADB

ADB

embeddingType

string

Vector index text embedding model

DashScope

enable

boolean

Enabled

true

rankThreshold

number

Vector index sort threshold

null

topK

integer

Number of final summary results for vector index

10

libraryName

string

Document library name

Test document library

totalPages

integer

Total pages

10

totalRecords

integer

Total records

100

dataType

string

Data type

null

errCode

string

Error code

0

message

string

Error message

ok

requestId

string

Request ID

0a06dfe817156528535968405edce3

success

boolean

Successful

true

time

string

Timestamp

2024-01-01 00:00:00

Examples

Success response JSON format
{
  "cost": 0,
  "data": {
    "currentPage": 1,
    "pageSize": 10,
    "records": [
      {
        "description": "文档库",
        "documentCount": 10,
        "gmtCreate": "2024-01-01 00:00:00\n",
        "gmtModified": "2024-01-01 00:00:00\n",
        "id": "24vs4aa42jv1rg7",
        "indexSetting": {
          "chunkStrategy": {
            "docTreeSplit": true,
            "docTreeSplitSize": 160,
            "enhanceGraph": true,
            "enhanceTable": true,
            "overlap": 40,
            "sentenceSplit": true,
            "sentenceSplitSize": 160,
            "size": 256,
            "split": true
          },
          "modelConfig": {
            "temperature": 0.8,
            "topP": 0.8
          },
          "promptRoleStyle": "你是一个信息处理专家。\n",
          "queryEnhancer": {
            "enableFollowUp": true,
            "enableMultiQuery": true,
            "enableOpenQa": true,
            "enableQueryRewrite": true,
            "enableSession": true,
            "localKnowledgeId": "sdbcjsbc",
            "withDocumentReference": true
          },
          "recallStrategy": {
            "documentRankType": "model",
            "limit": 10
          },
          "textIndexSetting": {
            "category": "ElasticSearch",
            "enable": true,
            "indexAnalyzer": "Standard",
            "rankThreshold": 0,
            "searchAnalyzer": "Standard",
            "topK": 10
          },
          "vectorIndexSetting": {
            "category": "ADB",
            "embeddingType": "DashScope",
            "enable": true,
            "rankThreshold": 0,
            "topK": 10
          }
        },
        "libraryName": "测试文档库"
      }
    ],
    "totalPages": 10,
    "totalRecords": 100
  },
  "dataType": "null",
  "errCode": "0",
  "message": "ok",
  "requestId": "0a06dfe817156528535968405edce3",
  "success": true,
  "time": "2024-01-01 00:00:00"
}

Error codes

See Error Codes for a complete list.

Release notes

See Release Notes for a complete list.
Token Plan
Model Playground
  • 3D model generation
  • Audio generation
Fine-tuning
Model Compression
Statistics and Monitoring
Support